# -*- coding: utf8 -*-
from __future__ import unicode_literals

import copy
import datetime

parser_class = "protis"


def test_encode_order(self):
    worklist = copy.deepcopy(self.order_worklist)
    worklist.samples[0]["results"] = [
        {
            "code": "TRF",
            "date": datetime.datetime(2011, 9, 22, 13, 38, 42),
            "value": "2.14",
            "unit": "g/l",
        },
        {
            "code": "CRP",
            "date": datetime.datetime(2011, 9, 22, 13, 38, 42),
            "value": "Resultat tres tres long",
            "unit": "g/l",
        },
    ]
    worklist.samples[0].specimen = "S"
    message = self.order(worklist=worklist)
    expected = """
123456      |     L036666666|                                    NYME|                                     ANO|13.05.2011|F|22.09.2011|13|   TRF|    |    2.14|    g/l|13.05.2013|                           SER|S|\r
123456      |     L036666666|                                    NYME|                                     ANO|13.05.2011|F|22.09.2011|13|   CRP|    | TOOLONG|    g/l|13.05.2013|                           SER|S|"""
    assert message == expected
